{ pkgs, config, ... }:
let
  terminal = "kitty";
in
{
  home-manager.users.zoe.home.file.".hypup.sh" = {
    executable = true;
    source = ./hypup.sh;
  };
  home-manager.users.zoe.xdg.configFile."hypr/hyprland.conf".source = ./hyprland.conf;
  home-manager.users.zoe.xdg.configFile."hypr/colors.conf".text = ''
    general {
      col.active_border = rgb(${config.color.green})
      col.inactive_border = rgb(${config.color.cyan})
    }
  '';
}
