{ config, pkgs, lib, ... }:
with lib; {
  options = {
    font.mono = mkOption {
      type = types.str;
      default = "CaskaydiaCove Nerd Font Mono";
    };
    font.regular = mkOption {
      type = types.str;
      default = "CaskaydiaCove Nerd Font Regular";
    };
    color.background = mkOption {
      type = types.str;
      default = "303446";
    };
    color.foreground = mkOption {
      type = types.str;
      default = "C6D0F5";
    };
    color.black = mkOption {
      type = types.str;
      default = "51576D";
    };
    color.black_dull = mkOption {
      type = types.str;
      default = "626880";
    };
    color.red = mkOption {
      type = types.str;
      default = "E78284";
    };
    color.red_dull = mkOption {
      type = types.str;
      default = "E78284";
    };
    color.green = mkOption {
      type = types.str;
      default = "A6D189";
    };
    color.green_dull = mkOption {
      type = types.str;
      default = "A6D189";
    };
    color.yellow = mkOption {
      type = types.str;
      default = "E5C890";
    };
    color.yellow_dull = mkOption {
      type = types.str;
      default = "E5C890";
    };
    color.blue = mkOption {
      type = types.str;
      default = "8CAAEE";
    };
    color.blue_dull = mkOption {
      type = types.str;
      default = "8CAAEE";
    };
    color.magenta = mkOption {
      type = types.str;
      default = "F4B8E4";
    };
    color.magenta_dull = mkOption {
      type = types.str;
      default = "F4B8E4";
    };
    color.cyan = mkOption {
      type = types.str;
      default = "81C8BE";
    };
    color.cyan_dull = mkOption {
      type = types.str;
      default = "81C8BE";
    };
    color.white = mkOption {
      type = types.str;
      default = "B5BFE2";
    };
    color.white_dull = mkOption {
      type = types.str;
      default = "A5ADCE";
    };
  };
}
