{ ... }:
let
  # /etc/profiles/per-user/<username>/share/applications/
  browser = "firefox.desktop";
  image_viewer = "org.gnome.eog.desktop";
  video_player = "mpv.desktop";
  file_browser = "org.gnome.Nautilus.desktop";
  pdf_viewer = "org.gnome.Evince.desktop";
in
{
  xdg.mime.defaultApplications = {
    "text/html" = browser;
    "inode/directory" = file_browser;
    "application/pdf" = pdf_viewer;
    "image/*" = image_viewer;
  };
}