{ pkgs, ... }: {

  environment.systemPackages = with pkgs; [ clamav ];

  programs.thunar = {
    enable = true;
    plugins = with pkgs.xfce; [
      thunar-archive-plugin
      thunar-volman
      thunar-media-tags-plugin
    ];
  };

  fonts.fonts = with pkgs; [
    atkinson-hyperlegible
    noto-fonts
    (nerdfonts.override { fonts = [ "CascadiaCode" ]; })
  ];
}
